Summary:       Resolve public identifiers and remap system identifiers
Name:          perl-XML-Catalog
Version:       1.03
Release:       7%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/XML-Catalog
Source0:       https://cpan.metacpan.org/authors/id/J/JF/JFEARN/XML-Catalog-%{version}.tar.gz

BuildRequires: make perl(Text::ParseWords)
BuildRequires: perl-interpreter perl-generators perl(ExtUtils::MakeMaker) perl(LWP::Simple) perl(strict)
BuildRequires: perl(URI::URL) perl(vars) perl(warnings) perl(XML::Parser) perl(Cwd) perl(Test::More)
BuildArch:     noarch

%description
This module implements draft 0.4 of John Cowan's XML Catalog (formerly known as XCatalog) see
(<https://www.oasis-open.org/committees/entity/specs/cs-entity-xml-catalogs-1.0.html>) Catalogs may
be written in either SOCAT or XML syntax. XML::Catalog will assume SOCAT syntax if the catalog is
not in well-formed XML syntax.

%prep
%autosetup -n XML-Catalog-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.03-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.03-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.03-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.03-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.03-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.03-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 1 2023 Shuo Wang <abushwang@tencent.com> - 1.03-1
- initial build
